<?php
/*
* $Id: save.php
* $Loc: /admin/includes/actions/store_logo_multi/
*
* Name: StoreLogosMulti
* Version: 2.3
* Release Date: 2024-07-18
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  foreach($lng->catalog_languages as $value) {
    // store logo big BEGIN
    $lng_uc_name = strtoupper($value['directory']);
    $store_logo_big_name = 'big_store_logo_' . $value['directory'];
    $store_logo_big = new upload($store_logo_big_name);
    $store_logo_big->set_extensions(['png', 'gif', 'jpg', 'svg', 'webp']);
    $store_logo_big->set_destination(DIR_FS_CATALOG . '/images');
    $admin_hooks->cat('saveValidation', $store_logo_big);

    if (!$store_logo_big->parse() || !$store_logo_big->save()) {
      $messageStack->add_session(sprintf(WARNING_LOGO_NO_UPLOAD, sprintf(TEXT_LOGO_IMAGE_BIG, $value['name'])), 'warning');
    } else {
      if ( !defined('STORE_LOGO_BIG_' . $lng_uc_name) ) {
        $db->query(sprintf(<<<'EOSQL'
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)
  VALUES ('Store Logo Big %s',
          'STORE_LOGO_BIG_%s',
          '%s',
          'This is the filename of your Big Store Logo %s.  This should be updated at admin > configuration > Store Logo Responsive',
          6,
          1000,
          now())
EOSQL
        , $value['name'], $lng_uc_name, $db->escape($store_logo_big->filename), $value['name']));

        $messageStack->add_session(sprintf(SUCCESS_LOGO_UPLOADED, sprintf(TEXT_LOGO_IMAGE_BIG, $value['name'])), 'success');
      } else {
        $db->query(sprintf(<<<'EOSQL'
UPDATE configuration
  SET configuration_value = '%s'
  WHERE configuration_value = '%s'
EOSQL
        , $db->escape($store_logo_big->filename), constant('STORE_LOGO_BIG_' . $lng_uc_name)));

        $messageStack->add_session(sprintf(SUCCESS_LOGO_UPDATED, sprintf(TEXT_LOGO_IMAGE_BIG, $value['name'])), 'success');
      }
    }
    // store logo big END

    // store logo medium BEGIN
    $store_logo_medium_name = 'medium_store_logo_' . $value['directory'];
    $store_logo_medium = new upload($store_logo_medium_name);
    $store_logo_medium->set_extensions(['png', 'gif', 'jpg', 'svg']);
    $store_logo_medium->set_destination(DIR_FS_CATALOG . '/images');
    $admin_hooks->cat('saveValidation', $store_logo_medium);

    if (!$store_logo_medium->parse() || !$store_logo_medium->save()) {
      $messageStack->add_session(sprintf(WARNING_LOGO_NO_UPLOAD, sprintf(TEXT_LOGO_IMAGE_MEDIUM, $value['name'])), 'warning');
    } else {

      if ( !defined('STORE_LOGO_MEDIUM_' . $lng_uc_name) ) {
        $db->query(sprintf(<<<'EOSQL'
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)
  VALUES ('Store Logo Medium %s',
          'STORE_LOGO_MEDIUM_%s',
          '%s',
          'This is the filename of your Medium Store Logo %s.  This should be updated at admin > configuration > Store Logo Responsive',
          6,
          1000,
          now())
EOSQL
        , $value['name'], $lng_uc_name, $db->escape($store_logo_medium->filename), $value['name']));

        $messageStack->add_session(sprintf(SUCCESS_LOGO_UPLOADED, sprintf(TEXT_LOGO_IMAGE_MEDIUM, $value['name'])), 'success');
      } else {
        $db->query(sprintf(<<<'EOSQL'
UPDATE configuration
  SET configuration_value = '%s'
  WHERE configuration_value = '%s'
EOSQL
        , $db->escape($store_logo_medium->filename), constant('STORE_LOGO_MEDIUM_' . $lng_uc_name)));

        $messageStack->add_session(sprintf(SUCCESS_LOGO_UPDATED, sprintf(TEXT_LOGO_IMAGE_MEDIUM, $value['name'])), 'success');
      }
    }
    // store logo medium END

    // store logo small BEGIN
    $store_logo_small_name = 'small_store_logo_' . $value['directory'];
    $store_logo_small = new upload($store_logo_small_name);
    $store_logo_small->set_extensions(['png', 'gif', 'jpg', 'svg']);
    $store_logo_small->set_destination(DIR_FS_CATALOG . '/images');
    $admin_hooks->cat('saveValidation', $store_logo_small);

    if (!$store_logo_small->parse() || !$store_logo_small->save()) {
      $messageStack->add_session(sprintf(WARNING_LOGO_NO_UPLOAD, sprintf(TEXT_LOGO_IMAGE_SMALL, $value['name'])), 'warning');
    } else {

      if ( !defined('STORE_LOGO_SMALL_' . $lng_uc_name) ) {
        $db->query(sprintf(<<<'EOSQL'
INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added)
  VALUES ('Store Logo Small %s',
          'STORE_LOGO_SMALL_%s',
          '%s',
          'This is the filename of your Small Store Logo %s.  This should be updated at admin > configuration > Store Logo Responsive',
          6,
          1000,
          now())
EOSQL
        , $value['name'], $lng_uc_name, $db->escape($store_logo_small->filename), $value['name']));

        $messageStack->add_session(sprintf(SUCCESS_LOGO_UPLOADED, sprintf(TEXT_LOGO_IMAGE_SMALL, $value['name'])), 'success');
      } else {
        $db->query(sprintf(<<<'EOSQL'
UPDATE configuration
  SET configuration_value = '%s'
  WHERE configuration_value = '%s'
EOSQL
        , $db->escape($store_logo_small->filename), constant('STORE_LOGO_SMALL_' . $lng_uc_name)));

        $messageStack->add_session(sprintf(SUCCESS_LOGO_UPDATED, sprintf(TEXT_LOGO_IMAGE_SMALL, $value['name'])), 'success');
      }
    }
    // store logo small END

  } // END foeach languages

  return $Admin->link('store_logo_multi.php');
