<?php
/*
* $Id: store_logo_multi.php
* $Loc: /admin/
*
* Name: StoreLogosMulti
* Version: 2.3
* Release Date: 2024-07-18
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  require 'includes/application_top.php';

  $lng = new language;

  require 'includes/segments/process_action.php';

  if (!Path::is_writable(DIR_FS_CATALOG . 'images/')) {
    $messageStack->add(sprintf(ERROR_IMAGES_DIRECTORY_NOT_WRITEABLE, $Admin->link('sec_dir_permissions.php')), 'error');
  }

  require 'includes/template_top.php';
  ?>

  <h1 class="display-4 mb-2"><?= HEADING_TITLE; ?></h1>
    <div class="col-6">
      <h4 class="mb-2"><?= HEADING_NEW_LOGOS; ?></h1>
      <div class="alert alert-danger"><?= TEXT_FORMAT_AND_LOCATION; ?></div>
        <?= new Form('logo', $Admin->link('store_logo_multi.php')->set_parameter('action', 'save'), 'post', ['enctype' => 'multipart/form-data']) ?>
        <div class="my-3">
          <?= new Button(IMAGE_UPLOAD_AND_SAVE_ALL_LOGOS, 'fas fa-file-upload', 'btn-danger btn-block') ?>
        </div>
      </div>
    </div>

    <div class="row">

<?php
      foreach($lng->catalog_languages as $value) {
        $lng_uc_name = strtoupper($value['directory']);
?>
      <div class="col-12">
        <hr>
      </div>
      <div class="col-6 pl-5">
        <div class="custom-file mb-2">
          <?= (new Input('big_store_logo_' . $value['directory'], ['id' => 'inputBigLogo' . $value['directory'], 'class' => 'custom-file-input'], 'file')) ?>
          <label class="custom-file-label" for="inputBigLogo' . $value['directory'] . '"><?= sprintf(TEXT_LOGO_IMAGE_BIG, $value['name']) ?></label>
        </div>
      </div>
      <div class="col-6">
        <h4><?= sprintf(TEXT_LOGO_IMAGE_BIG, $value['name']) ?></h1>
        <?= $Admin->catalog_image('images/' .  (defined('STORE_LOGO_BIG_' . $lng_uc_name)? constant('STORE_LOGO_BIG_' . $lng_uc_name) : '' )); ?>
        <br><small><?= DIR_FS_CATALOG . 'images/' .  (defined('STORE_LOGO_BIG_' . $lng_uc_name)? constant('STORE_LOGO_BIG_' . $lng_uc_name) : '' )?></small>
      </div>
      <div class="col-12">
        <hr>
      </div>
      <div class="col-6 pl-5">
        <div class="custom-file mb-2">
          <?= (new Input('medium_store_logo_' . $value['directory'], ['id' => 'inputMediumLogo' . $value['directory'], 'class' => 'custom-file-input'], 'file')) ?>
          <label class="custom-file-label" for="inputMediumLogo' . $value['directory'] . '"><?= sprintf(TEXT_LOGO_IMAGE_MEDIUM, $value['name']) ?></label>
        </div>
      </div>
      <div class="col-6">
        <h4><?= sprintf(TEXT_LOGO_IMAGE_MEDIUM, $value['name']) ?></h1>
        <?= $Admin->catalog_image('images/' .  (defined('STORE_LOGO_MEDIUM_' . $lng_uc_name)? constant('STORE_LOGO_MEDIUM_' . $lng_uc_name) : '' )); ?>
        <br><small><?= DIR_FS_CATALOG . 'images/' .  (defined('STORE_LOGO_MEDIUM_' . $lng_uc_name)? constant('STORE_LOGO_MEDIUM_' . $lng_uc_name) : '' )?></small>
      </div>
      <div class="col-12">
        <hr>
      </div>
      <div class="col-6 pl-5">
        <div class="custom-file mb-2">
          <?= (new Input('small_store_logo_' . $value['directory'], ['id' => 'inputSmallLogo' . $value['directory'], 'class' => 'custom-file-input'], 'file')) ?>
          <label class="custom-file-label" for="inputSmallLogo' . $value['directory'] . '"><?= sprintf(TEXT_LOGO_IMAGE_SMALL, $value['name']) ?></label>
        </div>
      </div>
      <div class="col-6">
        <h4><?= sprintf(TEXT_LOGO_IMAGE_SMALL, $value['name']) ?></h1>
        <?= $Admin->catalog_image('images/' .  (defined('STORE_LOGO_SMALL_' . $lng_uc_name)? constant('STORE_LOGO_SMALL_' . $lng_uc_name) : '' )); ?>
        <br><small><?= DIR_FS_CATALOG . 'images/' .  (defined('STORE_LOGO_SMALL_' . $lng_uc_name)? constant('STORE_LOGO_SMALL_' . $lng_uc_name) : '' )?></small>
      </div>

  <script>
  $(document).on('change', '#inputBigLogo<?= $value["directory"] ?>', function (event) { $(this).next('.custom-file-label').html(event.target.files[0].name); });
  $(document).on('change', '#inputMediumLogo<?= $value["directory"] ?>', function (event) { $(this).next('.custom-file-label').html(event.target.files[0].name); });
  $(document).on('change', '#inputSmallLogo<?= $value["directory"] ?>', function (event) { $(this).next('.custom-file-label').html(event.target.files[0].name); });
  </script>

<?php
  } // end foeach languages
?>
    </div>

    <div class="col-6 my-3">
          <?= new Button(IMAGE_UPLOAD_AND_SAVE_ALL_LOGOS, 'fas fa-file-upload', 'btn-danger btn-block') ?>
    </div>
  </form>

    <div class="alert alert-info">
      <?= TEXT_LOGOS_MULTI_HELP ?>
    </div>

<?php
  require 'includes/template_bottom.php';
  require 'includes/application_bottom.php';
?>
