<?php
/*
* $Id: cm_header_logo_multi.php
* $Loc: /includes/modules/content/header/
*
* Name: StoreLogosMulti
* Version: 2.3
* Release Date: 2024-07-18
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  class cm_header_logo_multi extends abstract_executable_module {

    const CONFIG_KEY_BASE = 'MODULE_CONTENT_HEADER_LOGO_MULTI_';

    public function __construct() {
      parent::__construct(__FILE__);

      $this->description .= '<p>by @raiwa <u><a target="_blank" href="http://www.oscaddons.com">www.oscaddons.com</a></u></p>';
    }

    public function execute() {

      $lng_query = $GLOBALS['db']->query(sprintf(<<<'EOSQL'
SELECT directory
  FROM languages
  WHERE code = '%s'
EOSQL
      , DEFAULT_LANGUAGE));

      $lng = $lng_query->fetch_assoc();

      $default_lng_uc_name = strtoupper($lng['directory']);
      $lng_uc_name = strtoupper($_SESSION['language']);

      if ( defined('STORE_LOGO_BIG_' . $lng_uc_name) && file_exists('images/' . constant('STORE_LOGO_BIG_' . $lng_uc_name)) ) {
        $store_logo_big = 'images/' . constant('STORE_LOGO_BIG_' . $lng_uc_name);
      } elseif ( defined('STORE_LOGO_BIG_' . $default_lng_uc_name) && file_exists('images/' . constant('STORE_LOGO_BIG_' . $default_lng_uc_name)) ) {
        $store_logo_big = 'images/' . constant('STORE_LOGO_BIG_' . $default_lng_uc_name);
      }
      $store_logo_big_width = getimagesize($store_logo_big)[0];

      if ( defined('STORE_LOGO_MEDIUM_' . $lng_uc_name) && file_exists('images/' . constant('STORE_LOGO_MEDIUM_' . $lng_uc_name)) ) {
        $store_logo_medium = 'images/' . constant('STORE_LOGO_MEDIUM_' . $lng_uc_name);
      } elseif ( defined('STORE_LOGO_BIG_' . $lng_uc_name) && !empty(constant('STORE_LOGO_BIG_' . $lng_uc_name)) && file_exists('images/' . constant('STORE_LOGO_BIG_' . $lng_uc_name)) ) {
        $store_logo_medium = 'images/' . constant('STORE_LOGO_BIG_' . $default_lng_uc_name);
      } else {
        $store_logo_medium = null;
      }
      $store_logo_medium_width = $store_logo_medium !== null ? getimagesize($store_logo_medium)[0] : null;

      if ( defined('STORE_LOGO_SMALL_' . $lng_uc_name) && file_exists('images/' . constant('STORE_LOGO_SMALL_' . $lng_uc_name)) ) {
        $store_logo_small = 'images/' . constant('STORE_LOGO_SMALL_' . $lng_uc_name);
      } elseif ( defined('STORE_LOGO_BIG_' . $lng_uc_name) && !empty(constant('STORE_LOGO_BIG_' . $lng_uc_name)) && file_exists('images/' . constant('STORE_LOGO_BIG_' . $lng_uc_name)) ) {
        $store_logo_small = 'images/' . constant('STORE_LOGO_BIG_' . $default_lng_uc_name);
      } else {
        $store_logo_small = null;
      }
      $store_logo_small_width = $store_logo_small !== null ? getimagesize($store_logo_small)[0] : null;

      $tpl_data = [ 'group' => $this->group, 'file' => __FILE__ ];
      include 'includes/modules/content/cm_template.php';
    }

    protected function get_parameters() {
      return [
        static::CONFIG_KEY_BASE . 'VERSION' => [
          'title' => 'Current Version',
          'value' => '2.2 Phoenix',
          'desc' => 'Version info. It is read only.',
          'set_func' => 'cm_header_logo_multi::readonly(',
        ],
        static::CONFIG_KEY_BASE . 'STATUS' => [
          'title' => 'Enable Header Logo Multi Module',
          'value' => 'True',
          'desc' => 'Do you want to enable the Logo Multi content module?',
          'set_func' => "Config::select_one(['True', 'False'], ",
        ],
        $this->config_key_base . 'CONTENT_WIDTH' => [
          'title' => 'Content Container',
          'value' => 'col-sm-12',
          'desc' => 'What container should the content be shown in? (col-*-12 = full width, col-*-6 = half width).',
        ],
        static::CONFIG_KEY_BASE . 'SORT_ORDER' => [
          'title' => 'Sort Order',
          'value' => '0',
          'desc' => 'Sort order of display. Lowest is displayed first.',
        ],
      ];
    }

    public static function readonly($value) {
      return $value;
    }

  }
